public class circleTest {
public static void main(String[] argv){
	Circle c1 = new Circle(1.0,2.0,4.0);
	Circle c2 = new Circle(c1);
	Circle c3 = c1;
	System.out.println("NumOfcircles ="+Circle.numOfCiclres);
	
	System.out.println("PI="+Circle.PI);
	c2 = c1;
	}
}

class Circle{
	double x,y;
	double r;
	static int numOfCircles=0;
	public static final double PI =3,14;
	
	Circle(double x, double y, double r) {
		this.x = x;
		this.y = y;
		this.r = r;
		numOfCircles++;
		}
	public Circle(Circle c) {
		this(c.x,c.y,c.r);
		//this.x = c.x;
		//this.y = c.y;
		//this.r = c.r;
		//numOfCircles++;
		}
	public double area(){return(PI*this.r*this.r); }
	
	}